<?php
	$min_version_required = '5.0.0';

if(version_compare(PHP_VERSION, $min_version_required, '>=')){		
	
	function getScriptURL()
	{
		return '';
	}
	
	// Check to see if the data folder exists
	$assets = '%_weaverbox-php_%';
	$path = realpath('./');
	$data_folder_name = 'data';
	$data_folder = realpath('./'.$data_folder_name);
	
	// If the data directory doesn't exist
	// or if the data directory's path is not a directory
	if(!is_dir($data_folder)){
		
		// If the folder doesn't exist then try to make it
		try {
		    mkdir($data_folder, 0777);
		} catch (Exception $e) {
			
		   	echo '<p><b>Error PHP mkdir failed!</b></p>';
			echo '<p>PHP failed to create the data/ folder to hold uploaded files.<br />
			Please create the folder '.$path.'/data/ by hand using your favorite FTP application.<br />
			Also, please make sure that the permissions for the "data" folder are set to 777.</p>';
		}
	}
	
	// If the data folder exists
	if(file_exists($data_folder)){
		
		// Authenication
		if(%_weaverbox-auth_%) {
			// Load
			echo('%_weaverbox-body_%');
		} else {
			// Load the login form
			echo('%_weaverbox-login_%');
		}
	} else {
		// Print a HTML error
		echo '<p>I am sorry an error occurred. The data/ folder was not found. Please make sure the data/ folder exists and is writeable.</p>';
		echo '<p>If you continue to receive this error or need assistance creating a data/ folder please contact the weaverBox developer using the <a href="http://www.barchard.net/projects/weaverbox/">weaverBox project page</a>.</p>';
	}
} else {
	// Print out a HTML error notifying the user that the min. version requirement hasn't been met.
	echo '<p>I am sorry weaverBox requires PHP '.$min_version_required.' or greater.</p>';
	echo '<p>PHP version '.PHP_VERSION.' has been detected. </p>';
}
?>